Solaris 11 IPS 'pkg' command gives unhelpful "https protocol error: code: 401 reason: Unauthorized" message for expired certificates (Doc ID 1480005.1)

Last updated on OCTOBER 18, 2016

Applies to:

Solaris Operating System - Version 11 11/11 to 11 11/11 [Release 11.0]
Information in this document applies to any platform.

Symptoms

 When attempting to upgrade or install packages on Solaris 11 using the 'pkg' command, users of Solaris 11 may encounter errors that are similar to the following:

# pkg install solaris-desktop
pkg: 0/1 catalogs successfully updated:

Unable to contact valid package repository
Encountered the following error(s):
Unable to contact any configured publishers.
This is likely a network configuration problem.
https protocol error: code: 401 reason: Unauthorized
URL: 'https://pkg.oracle.com/solaris/support'.

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms